/*
 * Created on 11/26/2014.
 * Copyright (c) 2014 Yahoo Inc. All rights reserved.
 */

precision highp float;

varying highp vec4 vColor;
varying highp vec2 vTexCoords0;

uniform highp sampler2D uTexture0;

const lowp float oneNinth = 1.0 / 9.0;

/**
 * Default fragment shader supporting the PCT vertex format.
 */
void main() {
	vec2 coords = gl_FragCoord.xy;
	vec2 dims = vec2(1024,2048);
	vec4 color = texture2D(uTexture0, (coords + vec2(-1,-1)) / dims) * oneNinth;
	color += texture2D(uTexture0, (coords + vec2(0,-1)) / dims) * oneNinth;
	color += texture2D(uTexture0, (coords + vec2(1,-1)) / dims) * oneNinth;
	color += texture2D(uTexture0, (coords + vec2(-1,0)) / dims) * oneNinth;
	color += texture2D(uTexture0, coords / dims) * oneNinth;
	color += texture2D(uTexture0, (coords + vec2(1,0)) / dims) * oneNinth;
	color += texture2D(uTexture0, (coords + vec2(-1,1)) / dims) * oneNinth;
	color += texture2D(uTexture0, (coords + vec2(0,1)) / dims) * oneNinth;
	color += texture2D(uTexture0, (coords + vec2(1,1)) / dims) * oneNinth;
	
//	gl_FragColor = texture2D(uTexture0, vTexCoords0) * vColor;
	gl_FragColor = color * vColor;

}
