/*
 * Created on 8/4/2014.
 * Copyright(C) Yahoo Inc. All rights reserved.
 */

precision mediump float;
varying vec2 v_texCoord;
uniform sampler2D s_baseMap;
uniform sampler2D s_heatMap;
uniform float dh1;
uniform float dh2;

void main() {


	vec2 delta;
	float vscale;
	vec2 v_heat1, v_heat2, pnew;
	v_heat1.xy = vec2(fract((v_texCoord.y + dh1) /4.0), v_texCoord.x);
	v_heat1.x = min(v_heat1.x, 1.0 - v_heat1.x);
	v_heat2.xy = vec2(fract((v_texCoord.y + dh2) / 4.0), v_texCoord.x);
	v_heat2.x = min(v_heat2.x, 1.0 - v_heat2.x);
	vscale = min(v_texCoord.y, 1.2 - v_texCoord.y)  * 0.1;
	delta.x = vscale * (-0.15 + texture2D(s_heatMap, v_heat2).r);
	delta.y = vscale * (-0.20 + texture2D(s_heatMap, v_heat1).r);
	pnew.xy = v_texCoord.xy + delta.xy;
	gl_FragColor = texture2D(s_baseMap, pnew);

/*	gl_FragColor = texture2D(s_baseMap, v_texCoord); */
}
