/*
 * Created on 7/14/14.
 * Copyright (c) 2014 Yahoo Inc. All rights reserved.
 */

precision highp float;

varying lowp vec4 vColor;
varying vec2 vTexCoords0;

uniform sampler2D uTexture0;
uniform float uProgressFraction;
uniform float uFadeRange;

/**
 *
 */
void main() {
	
	/* Key off of brightness... */
/*	vec4 color = texture2D(uTexture0, vTexCoords0);
	if (color.r >= (1.0 - uProgressFraction)) {
		float scalar = min((color.r - (1.0-(uProgressFraction*(1.0+uFadeRange)))) / uFadeRange, 1.0);
		gl_FragColor = vec4(color.r,color.r,color.r,color.r) * (scalar * vColor.a);
	} else {
		gl_FragColor = vec4(0,0,0,0);
	}
*/
	
	/* Key off of alpha... */
	vec4 color = texture2D(uTexture0, vTexCoords0);
	if (color.a >= (1.0 - uProgressFraction)) {
		float scalar = min((color.a - (1.0-(uProgressFraction*(1.0+uFadeRange)))) / uFadeRange, 1.0);
		gl_FragColor = color * (scalar * vColor.a);
	} else {
		gl_FragColor = vec4(0,0,0,0);
	}
}
